org.apache.cassandra.cql3

## Class Constants.Value

- java.lang.Object
- - org.apache.cassandra.cql3.Term.Terminal
  - - org.apache.cassandra.cql3.Constants.Value

All Implemented Interfaces:
  Term

Enclosing class:
  Constants

    public static class Constants.Value
    extends Term.Terminal

A constant value, i.e. a ByteBuffer.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.Term

`Term.MultiColumnRaw, Term.MultiItemTerminal, Term.NonTerminal, Term.Raw, Term.Terminal`

### Field Summary

Fields
`java.nio.ByteBuffer` `bytes`

### Constructor Summary

Constructors
Constructor and Description
`Value(java.nio.ByteBuffer bytes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `bindAndGet(QueryOptions options)` A shorter for bind(values).get().
`java.nio.ByteBuffer` `get(ProtocolVersion protocolVersion)`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.cql3.Term.Terminal

`addFunctionsTo, bind, collectMarkerSpecification, containsBindMarker`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### bytes

    public final java.nio.ByteBuffer bytes

### Constructor Detail

#### Value

    public Value(java.nio.ByteBuffer bytes)

### Method Detail

#### get

    public java.nio.ByteBuffer get(ProtocolVersion protocolVersion)

Specified by:
  `get` in class `Term.Terminal`
Returns:
  the serialized value of this terminal.

#### bindAndGet

    public java.nio.ByteBuffer bindAndGet(QueryOptions options)

Description copied from interface: `Term`
A shorter for bind(values).get(). We expose it mainly because for constants it can avoids allocating a temporary object between the bind and the get (note that we still want to be able to separate bind and get for collections).

Specified by:
  `bindAndGet` in interface `Term`
Overrides:
  `bindAndGet` in class `Term.Terminal`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`